stan::math::seq_view< T, S > Class Template Reference

`#include <seq_view.hpp>`

## Public Member Functions

| seq_view (typename pass_type< S >::type x)
pass_type< T >::type | operator[] (int n) const
int | size () const

## Detailed Description

### template<typename T, typename S>
class stan::math::seq_view< T, S >

Definition at line 38 of file seq_view.hpp.

## Constructor & Destructor Documentation

## seq_view()

template<typename T , typename S >

stan::math::seq_view< T, S >::seq_view | ( | typename pass_type< S >::type | x | ) |

inlineexplicit

Definition at line 42 of file seq_view.hpp.

## Member Function Documentation

## operator[]()

template<typename T , typename S >

pass_type<T>::type stan::math::seq_view< T, S >::operator[] | ( | int | n | ) | const

inline

Definition at line 46 of file seq_view.hpp.

## size()

template<typename T , typename S >

int stan::math::seq_view< T, S >::size | ( |  | ) | const

inline

Definition at line 49 of file seq_view.hpp.

The documentation for this class was generated from the following file:

- stan/math/prim/mat/meta/seq_view.hpp

[ Stan Home Page ] © 2011–2016, Stan Development Team.